IntlCalendar::getLocale
IntlCalendar::getMinimalDaysInFirstWeek
IntlCalendar
PHP Manual

# IntlCalendar::getMaximum

Get the global maximum value for a field

### Description

Object oriented style

public int IntlCalendar::getMaximum ( int `$field` )

Procedural style

int intlcal_get_maximum ( IntlCalendar `$cal` , int `$field` )

Gets the global maximum for a field, in this specific calendar. This value is larger or equal to that returned by IntlCalendar::getActualMaximum, which is in its turn larger or equal to that returned by IntlCalendar::getLeastMaximum.

### Parameters

`cal`

  The IntlCalendar resource.

`field`

  One of the IntlCalendar date/time field constants. These are integer values between 0 and `IntlCalendar::FIELD_COUNT`.

### Return Values

An int representing a field value in the fieldʼs unit or `FALSE` on failure.

### See Also

- IntlCalendar::getActualMaximum
- IntlCalendar::getLeastMaximum
- IntlCalendar::getMinimum